Debian Bug report logs - #403089
libemail-find-perl: FTBFS: tests failed

version graph

Package: libemail-find-perl; Maintainer for libemail-find-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libemail-find-perl is src:libemail-find-perl.

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Thu, 14 Dec 2006 15:48:14 UTC

Severity: serious

Found in version libemail-find-perl/0.09-dfsg-1

Fixed in version libemail-find-perl/0.09-dfsg-2

Done: Francesco Cecconi <francesco.cecconi@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Francesco Cecconi <francesco.cecconi@gmail.com>:
Bug#403089; Package libemail-find-perl. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Francesco Cecconi <francesco.cecconi@gmail.com>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: libemail-find-perl: FTBFS: tests failed
Date: Thu, 14 Dec 2006 16:17:53 +0100
Package: libemail-find-perl
Version: 0.09-dfsg-1
Severity: serious
Justification: FTBFS on i386, very likely to fail everywhere else
Usertags: grid5000

Hi,

During a rebuild of all packages in etch, I discovered that your package
failed to build on i386.

Relevant parts:
/usr/bin/make test
make[1]: Entering directory `/build/root/libemail-find-perl-0.09-dfsg'
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'blib/lib', 'blib/ar
ch')" t/*.t
t/addr-spec....ok
t/Find.........
#   Failed test '  just one'
#   in t/Find.t at line 25.
#          got: '0'
#     expected: '1'

#   Failed test '  just one'
#   in t/Find.t at line 25.
#          got: '0'
#     expected: '1'

#   Failed test 'One big block'
#   in t/Find.t at line 31.
#          got: '5'
#     expected: '7'
# Looks like you planned 23 tests but only ran 21.
# Looks like you failed 3 tests of 21 run.
dubious
        Test returned status 3 (wstat 768, 0x300)
DIED. FAILED tests 14, 19, 21-23
        Failed 5/23 tests, 78.26% okay
t/new-api......
#   Failed test '  just one'
#   in t/new-api.t at line 27.
#          got: '0'
#     expected: '1'

#   Failed test '  just one'
#   in t/new-api.t at line 27.
#          got: '0'
#     expected: '1'
# Looks like you failed 2 tests of 20.
dubious
        Test returned status 2 (wstat 512, 0x200)
DIED. FAILED tests 14, 19
        Failed 2/20 tests, 90.00% okay

The full build log is available from 
http://blop.info/bazaar/buildlogs/20061214/

About the archive rebuilt: The rebuilt was done on about 30 AMD64 nodes
of the Grid'5000 platform, using a clean chroot containing an etch i386
environment (not unstable).  Internet was not accessible from the build
systems. The builds were processed as root.

About Grid'5000:
Grid'5000 is an highly reconfigurable experimental Grid platform
gathering 9 sites and featuring a total of 5000 CPUs. It serves as a
testbed for research in Grid Computing. See https://www.grid5000.fr/
-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |



Information forwarded to debian-bugs-dist@lists.debian.org, Francesco Cecconi <francesco.cecconi@gmail.com>:
Bug#403089; Package libemail-find-perl. Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Francesco Cecconi <francesco.cecconi@gmail.com>. Full text and rfc822 format available.

Message #10 received at 403089@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Francesco Cecconi <francesco.cecconi@gmail.com>
Cc: Florian Ernst <florian@uni-hd.de>, debian-perl@lists.debian.org, 403089@bugs.debian.org
Subject: Re: RFS: libemail-find-perl update for FTBFS tests failed bug
Date: Fri, 15 Dec 2006 22:53:37 +0100
Hi,

On Fri, 15 Dec 2006, Francesco Cecconi wrote:
> Hi Florian,
> 
> > Looking good so far, but why do you edit in debian/changelog the date
> > fields of 0.09-4 and 0.09-3? Removing the trailing space in
> > 0.09-dfsg-1 is acceptable, but why the other changes?
> 
> I have fixed this problem.

And I uploaded the package. 

Please when you request a sponsor for an upload which fixes a RC bug
please record that in the BTS so that people actively trying to reduce the
number of RC bugs can sponsor you.

Cheers,
-- 
Raphaël Hertzog

Premier livre français sur Debian GNU/Linux :
http://www.ouaza.com/livre/admin-debian/



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#403089; Package libemail-find-perl. Full text and rfc822 format available.

Acknowledgement sent to Francesco Cecconi <francesco.cecconi@gmail.com>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #15 received at 403089@bugs.debian.org (full text, mbox):

From: Francesco Cecconi <francesco.cecconi@gmail.com>
To: Raphael Hertzog <hertzog@debian.org>, Florian Ernst <florian@uni-hd.de>, debian-perl@lists.debian.org, 403089@bugs.debian.org
Subject: Re: RFS: libemail-find-perl update for FTBFS tests failed bug
Date: Fri, 15 Dec 2006 23:14:28 +0100
[Message part 1 (text/plain, inline)]
On Fri, Dec 15, 2006 at 10:53:37PM +0100, Raphael Hertzog wrote:
> Hi,
> 
> On Fri, 15 Dec 2006, Francesco Cecconi wrote:
> > Hi Florian,
> > 
> > > Looking good so far, but why do you edit in debian/changelog the date
> > > fields of 0.09-4 and 0.09-3? Removing the trailing space in
> > > 0.09-dfsg-1 is acceptable, but why the other changes?
> > 
> > I have fixed this problem.
> 
> And I uploaded the package. 

Thanks Raphael.

> 
> Please when you request a sponsor for an upload which fixes a RC bug
> please record that in the BTS so that people actively trying to reduce the
> number of RC bugs can sponsor you.

Ok 

> 
> Cheers,

Cheers,
Francesco
> -- 
> Raphaël Hertzog
> 
> Premier livre français sur Debian GNU/Linux :
> http://www.ouaza.com/livre/admin-debian/

-- 
 

 .''`.  ** Debian GNU/Linux **  | Francesco Cecconi ' |BrAnD| '
: :'  :   The Universal O.S.    | francesco.cecconi@gmail.com
`. `'`                          | GPG Key ID: 11F6E468
  `-    *Debian Pkg Maintainer* | JID brand80@jabber.linux.it
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#403089; Package libemail-find-perl. Full text and rfc822 format available.

Acknowledgement sent to Francesco Cecconi <francesco.cecconi@gmail.com>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #20 received at 403089@bugs.debian.org (full text, mbox):

From: Francesco Cecconi <francesco.cecconi@gmail.com>
To: Raphael Hertzog <hertzog@debian.org>, Florian Ernst <florian@uni-hd.de>, debian-perl@lists.debian.org, 403089@bugs.debian.org
Subject: Re: Bug#403089: RFS: libemail-find-perl update for FTBFS tests failed bug
Date: Sat, 16 Dec 2006 13:11:31 +0100
[Message part 1 (text/plain, inline)]
On Fri, Dec 15, 2006 at 10:53:37PM +0100, Raphael Hertzog wrote:
> Hi,
> 
> On Fri, 15 Dec 2006, Francesco Cecconi wrote:
> > Hi Florian,
> > 
> > > Looking good so far, but why do you edit in debian/changelog the date
> > > fields of 0.09-4 and 0.09-3? Removing the trailing space in
> > > 0.09-dfsg-1 is acceptable, but why the other changes?
> > 
> > I have fixed this problem.
> 
> And I uploaded the package.

Excuse me Raphael, have you a problems with upload the package?

> 
> Please when you request a sponsor for an upload which fixes a RC bug
> please record that in the BTS so that people actively trying to reduce the
> number of RC bugs can sponsor you.
> 
> Cheers,
> -- 
> Raphaël Hertzog
> 
> Premier livre français sur Debian GNU/Linux :
> http://www.ouaza.com/livre/admin-debian/
> 

Cheers,
Francesco Cecconi
-- 
 

 .''`.  ** Debian GNU/Linux **  | Francesco Cecconi ' |BrAnD| '
: :'  :   The Universal O.S.    | francesco.cecconi@gmail.com
`. `'`                          | GPG Key ID: 11F6E468
  `-    *Debian Pkg Maintainer* | JID brand80@jabber.linux.it
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Francesco Cecconi <francesco.cecconi@gmail.com>:
Bug#403089; Package libemail-find-perl. Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Francesco Cecconi <francesco.cecconi@gmail.com>. Full text and rfc822 format available.

Message #25 received at 403089@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Francesco Cecconi <francesco.cecconi@gmail.com>
Cc: Florian Ernst <florian@uni-hd.de>, debian-perl@lists.debian.org, 403089@bugs.debian.org
Subject: Re: Bug#403089: RFS: libemail-find-perl update for FTBFS tests failed bug
Date: Sat, 16 Dec 2006 15:25:36 +0100
Hi,

On Sat, 16 Dec 2006, Francesco Cecconi wrote:
> > And I uploaded the package.
> 
> Excuse me Raphael, have you a problems with upload the package?

Right, sorry, I was about to upload it and got distracted by something
else. :-) It's uploaded now.

Cheers,
-- 
Raphaël Hertzog

Premier livre français sur Debian GNU/Linux :
http://www.ouaza.com/livre/admin-debian/



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#403089; Package libemail-find-perl. Full text and rfc822 format available.

Acknowledgement sent to Francesco Cecconi <francesco.cecconi@gmail.com>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #30 received at 403089@bugs.debian.org (full text, mbox):

From: Francesco Cecconi <francesco.cecconi@gmail.com>
To: Raphael Hertzog <hertzog@debian.org>, Florian Ernst <florian@uni-hd.de>, debian-perl@lists.debian.org, 403089@bugs.debian.org
Subject: Re: Bug#403089: RFS: libemail-find-perl update for FTBFS tests failed bug
Date: Sat, 16 Dec 2006 15:37:00 +0100
[Message part 1 (text/plain, inline)]
On Sat, Dec 16, 2006 at 03:25:36PM +0100, Raphael Hertzog wrote:
> Hi,
> 
> On Sat, 16 Dec 2006, Francesco Cecconi wrote:
> > > And I uploaded the package.
> > 
> > Excuse me Raphael, have you a problems with upload the package?
> 
> Right, sorry, I was about to upload it and got distracted by something
> else. :-) It's uploaded now.
ok, many thanks Raphael. :-)
> 
> Cheers,
> -- 
> Raphaël Hertzog
> 
> Premier livre français sur Debian GNU/Linux :
> http://www.ouaza.com/livre/admin-debian/
Cheers,
Francesco

-- 
 

 .''`.  ** Debian GNU/Linux **  | Francesco Cecconi ' |BrAnD| '
: :'  :   The Universal O.S.    | francesco.cecconi@gmail.com
`. `'`                          | GPG Key ID: 11F6E468
  `-    *Debian Pkg Maintainer* | JID brand80@jabber.linux.it
[signature.asc (application/pgp-signature, inline)]

Reply sent to Francesco Cecconi <francesco.cecconi@gmail.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #35 received at 403089-close@bugs.debian.org (full text, mbox):

From: Francesco Cecconi <francesco.cecconi@gmail.com>
To: 403089-close@bugs.debian.org
Subject: Bug#403089: fixed in libemail-find-perl 0.09-dfsg-2
Date: Sat, 16 Dec 2006 14:32:02 +0000
Source: libemail-find-perl
Source-Version: 0.09-dfsg-2

We believe that the bug you reported is fixed in the latest version of
libemail-find-perl, which is due to be installed in the Debian FTP archive:

libemail-find-perl_0.09-dfsg-2.diff.gz
  to pool/main/libe/libemail-find-perl/libemail-find-perl_0.09-dfsg-2.diff.gz
libemail-find-perl_0.09-dfsg-2.dsc
  to pool/main/libe/libemail-find-perl/libemail-find-perl_0.09-dfsg-2.dsc
libemail-find-perl_0.09-dfsg-2_all.deb
  to pool/main/libe/libemail-find-perl/libemail-find-perl_0.09-dfsg-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 403089@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Francesco Cecconi <francesco.cecconi@gmail.com> (supplier of updated libemail-find-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 15 Dec 2006 22:11:08 +0100
Source: libemail-find-perl
Binary: libemail-find-perl
Architecture: source all
Version: 0.09-dfsg-2
Distribution: unstable
Urgency: high
Maintainer: Francesco Cecconi <francesco.cecconi@gmail.com>
Changed-By: Francesco Cecconi <francesco.cecconi@gmail.com>
Description: 
 libemail-find-perl - Find RFC 822 email addresses in plain text
Closes: 403089
Changes: 
 libemail-find-perl (0.09-dfsg-2) unstable; urgency=high
 .
   * changed tests for the new rules of Email::Valid (Closes: #403089 )
Files: 
 336e37843b6978323472012dba25e242 734 perl optional libemail-find-perl_0.09-dfsg-2.dsc
 c41553fd9db1122573bab5669e030ada 2651 perl optional libemail-find-perl_0.09-dfsg-2.diff.gz
 4925543346d8053e936d57bccc9c0248 16714 perl optional libemail-find-perl_0.09-dfsg-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFFhAFfvPbGD26BadIRAkR7AKCOoLwuSON58UtLhuQFLn8sKTWk+QCdHE7z
ntec7DI3bnErFV5kkE+eARk=
=5fui
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 27 Jun 2007 02:01:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 16:49:17 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.